#ifndef __LCD_H
#define __LCD_H

#include "HAreg.h"

#define lcd_port p2
#define rs P3_5
#define rw P3_6
#define en P3_7
#define D7 P2_7

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	LCD Command MACROS
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

#define LCD_CLEAR 0x1
#define RETURN_HOME 0x80
#define DEC_CURSOR 0x4
#define INC_CURSOR 0x6
#define DISP_OFF_CUR_OFF 0x8
#define DISP_OFF_CUR_ON 0xA
#define DISP_ON_CUR_OFF 0xC
#define DISP_ON_CUR_BLINK 0xE
#define SHIFT_CUR_LEFT 0x10
#define SHIFT_CUR_RIGHT 0x14
#define SHIFT_DISP_LEFT 0x18
#define SHIFT_DISP_RIGHT 0x1C

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
		Function Prototypes
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

void lcd_init(void);		// Initialize LCD
void busy(void);			// Check Busy
void lcd_sendcommand(bit_8);// Sending Command
void lcd_sendcommand_int(bit_8);
void lcd_sendchar(bit_8);	// Sending single character
void lcd_sendstr(bit_8*);	// Sending String
void lcd_sendstr_int(bit_8*);	// Sending String

#endif